The Cauldron: A Pagan Forum (Archive Board)
September 27, 2020, 12:56:53 pm *
Welcome, Guest. Please login or register.

Login with username, password and session length
News: This is our Read Only Archive Board (closed to posting July 2011). Join our new vBulletin board!
 
  Portal   Forum   Help Rules Search Chat (Mux) Articles Login Register   *

Welcome, Guest. Please login or register.
September 27, 2020, 12:56:53 pm

Login with username, password and session length
Donate!
The Cauldron's server is expensive and requires monthly payments. Please become a Bronze, Silver or Gold Donor if you can. Donations are needed every month. Without member support, we can't afford the server.
TC Staff
Important Information about this Archive Board
This message board is The Cauldron: A Pagan Forum's SMF Archive Board. It is closed to new memberships and to posting, but there are over 250,000 messages here that you can still search and read -- many full of interesting and useful information. (This board was open from February 2007 through June 2011).

Our new vBulletin discussion board is located at http://www.ecauldron.com/forum/ -- if you would like to participate in discussions like those you see here, please visit our new vBulletin message board, register an account and join in our discussions. We hope you will find the information in this message archive useful and will consider joining us on our new board.
Pages: [1]   Go Down
  Add bookmark  |  Print  
Author Topic: ADMIN: It Broke, Jim (What Broke in the Server Upgrade)  (Read 952 times)
RandallS
Co-Host
Administrator
Grand Adept Member
*****
Last Login:June 23, 2020, 07:47:48 am
United States United States

Religion: Hellenic Pagan
TCN ID: ADMIN
Posts: 17181


Blog entries (0)


« Topic Start: April 24, 2011, 11:44:39 am »

We upgraded the OS and web server software on our server on April 13. As the new software uses php 5.3 instead of php 5.2, this broke some older software. Note php 5.3 was released in June 2009, This is April 2011. People have had plenty of time to update their software to work with it.  Most have, but we can't always use them for one reason or another.  Some haven't at all.

Flashchat -- The only version of Flashchat that will integrate into SMF 1.1.x is an ancient version. This ancient version does not work in php 5.3.  Newer versions do, but no one has written an SMF mod that integrates them into SMF. This makes them unusable. Newer versions of Flashchat are even a bigger server hog that the one we used. Sad

We have returned to using CauldronMUX as our chat area. I've installed a new Flash-based client for it that is much better than the old Java one. Unlike Flashchat, you can use your own software client to connect to the chat area if you want to.  We are probably going to restart the MUX and make it easier to use for people who just want to chat -- for example, having the starting "room" be the chat room.

Archive Boards -- Our old Beehive boards died. The ancient versions of the Beehive software we used (0.5 and 0.61) do not support php 5.3. Current versions do, but upgrading older boards to them is a royal pain. I have previously tried to upgrade both boards to Beehive Forums 0.7 without success. I may try again to upgrade them all the way to version 1.01 (which requires manually upgrading to each version in between) at some point in the future, but that will be a lot of work and may not work at all. For now (and the forseeable future), the Archive Boards are gone.

TCN: The 1.7 Elgg software we use for supposedly works with php 5.3. I've upgraded and spent hours fiddling around trying to get it to work. The best I can do is what is there now. Ugly as hell most most things are at least accessible -- but not necessarily working. No immediate solution is in sight.

The Message Board: As far as I can tell it works. Various mods have been breaking for over a year but I don't think the server upgrade broke anything else. (The mods that break are no longer being updated by their authors). I have had reports that the RSS feeds are sending out dups, but I'm not seeing that myself. SMF 2.0 is about 3 years overdue do to political problems on the SMF team. And 2.0 is about 4 years behind in the design area and not a lot of mods have been written for it -- due to all the political issues mainly.
Logged

Randall
RetroRoleplaying [Blog - Forum] -- Out Of Print & Out Of Style Tabletop Roleplaying Games
Software Gadgets Blog -- Interesting Software, Mostly Free
Cheap Web Hosting -- Find an Affordable Web Host

Welcome, Guest!
You will need to register and/or login to participate in our discussions.

Read our Rules and Policies and the Quoting Guidelines.

Help Fund Our Server? Donate to Lyricfox's Cancer Fund?

Tags:
Pages: [1]   Go Up
  Add bookmark  |  Print  
 
Jump to:  
  Portal   Forum   Help Rules Search Chat (Mux) Articles Login Register   *

* Share this topic...
In a forum
(BBCode)
In a site/blog
(HTML)


Related Topics
Subject Started by Replies Views Last post
ADMIN: Moving to a New Server Soon « 1 2 »
Cauldron Announcements
RandallS 16 5267 Last post October 01, 2008, 06:19:01 pm
by RandallS
ADMIN: You are on the NEW SERVER (Report Server Problems Here) « 1 2 3 4 »
Cauldron Announcements
RandallS 59 17895 Last post October 16, 2008, 09:28:03 pm
by RandallS
ADMIN: New Server KNOWN Problems
Cauldron Announcements
RandallS 1 1251 Last post October 09, 2008, 09:14:11 pm
by RandallS
Recipes for those who are broke? « 1 2 ... 5 6 »
Cooking SIG
Adele 82 23931 Last post March 07, 2010, 09:26:44 pm
by Astralis
I broke A rule, can you please fix it
Board Questions, Suggestions, and Feedback
i didnt know this existed 3 2414 Last post February 28, 2011, 10:44:28 pm
by RandallS
EU Cookie Notice: This site uses cookies. By using this site you consent to their use.


Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines
TinyPortal v0.9.8 © Bloc
Valid XHTML 1.0! Valid CSS!
Page created in 0.035 seconds with 34 queries.